libcusolver.so.10.0: cannot open shared object file: No such file or directory

libcusolver.so.10.0: cannot open shared object file: No such file or directory

When I import tensorflow, I get the above error.

Please help me solve this problem…

$ echo $LD_LIBRARY_PATH
/usr/local/cuda-10.1/lib64

cd /usr/local/cuda-10.1/lib64 ls

libaccinj64.so libcufft_static_nocallback.a libcusolver_static.a libnppicc.so.10 libnppig.so.10 libnppitc.so.10 libnvrtc-builtins.so.10.1
libaccinj64.so.10.1 libcufftw.so libcusparse.so libnppicc.so.10.1.105 libnppig.so.10.1.105 libnppitc.so.10.1.105 libnvrtc-builtins.so.10.1.105
libaccinj64.so.10.1.105 libcufftw.so.10 libcusparse.so.10 libnppicc_static.a libnppig_static.a libnppitc_static.a libnvrtc.so
libcudadevrt.a libcufftw.so.10.1.105 libcusparse.so.10.1.105 libnppicom.so libnppim.so libnpps.so libnvrtc.so.10.1
libcudart.so libcufftw_static.a libcusparse_static.a libnppicom.so.10 libnppim.so.10 libnpps.so.10 libnvrtc.so.10.1.105
libcudart.so.10.1 libcuinj64.so liblapack_static.a libnppicom.so.10.1.105 libnppim.so.10.1.105 libnpps.so.10.1.105 libnvToolsExt.so
libcudart.so.10.1.105 libcuinj64.so.10.1 libmetis_static.a libnppicom_static.a libnppim_static.a libnpps_static.a libnvToolsExt.so.1
libcudart_static.a libcuinj64.so.10.1.105 libnppc.so libnppidei.so libnppist.so libnvgraph.so libnvToolsExt.so.1.0.0
libcudnn.so libculibos.a libnppc.so.10 libnppidei.so.10 libnppist.so.10 libnvgraph.so.10 libOpenCL.so
libcudnn.so.7 libcurand.so libnppc.so.10.1.105 libnppidei.so.10.1.105 libnppist.so.10.1.105 libnvgraph.so.10.1.105 libOpenCL.so.1
libcudnn.so.7.5.0 libcurand.so.10 libnppc_static.a libnppidei_static.a libnppist_static.a libnvgraph_static.a libOpenCL.so.1.1
libcudnn_static.a libcurand.so.10.1.105 libnppial.so libnppif.so libnppisu.so libnvjpeg.so stubs
libcufft.so libcurand_static.a libnppial.so.10 libnppif.so.10 libnppisu.so.10 libnvjpeg.so.10
libcufft.so.10 libcusolver.so libnppial.so.10.1.105 libnppif.so.10.1.105 libnppisu.so.10.1.105 libnvjpeg.so.10.1.105
libcufft.so.10.1.105 libcusolver.so.10 libnppial_static.a libnppif_static.a libnppisu_static.a libnvjpeg_static.a
libcufft_static.a libcusolver.so.10.1.105 libnppicc.so libnppig.so libnppitc.so libnvrtc-builtins.so

(It has libcusolver.so.10 but not libcusolver.so.10.0)

$ nvcc -V
nvcc: NVIDIA ® Cuda compiler driver
Copyright © 2005-2019 NVIDIA Corporation
Built on Fri_Feb__8_19:08:17_PST_2019
Cuda compilation tools, release 10.1, V10.1.105

The Tensorflow you’re using is linked against Cuda 10.0 but you have Cuda 10.1 installed. Please download Cuda 10.0 from archives and install that.